Your message dated Fri, 23 Feb 2018 01:06:27 +0000
with message-id <e1ep1oh-0007d4...@fasolo.debian.org>
and subject line Bug#877066: fixed in puppet 5.4.0-1
has caused the Debian Bug report #877066,
regarding Broken puppet(8) manpage
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
877066: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=877066
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: puppet
Version: 4.8.2-5
Severity: normal

The puppet(8) manpage is broken on Debian stretch:

  [1;31mError: Could not parse application options: invalid option: \-\-help[0m

Also: https://manpages.debian.org/stretch/puppet/puppet.8.en.html

-- 
 .''`.   martin f. krafft <madduck@d.o> @martinkrafft
: :'  :  proud Debian developer
`. `'`   http://people.debian.org/~madduck
  `-  Debian - when you have better things to do than fixing systems

Attachment: digital_signature_gpg.asc
Description: Digital GPG signature (see http://martin-krafft.net/gpg/sig-policy/999bbcc4/current)


--- End Message ---
--- Begin Message ---
Source: puppet
Source-Version: 5.4.0-1

We believe that the bug you reported is fixed in the latest version of
puppet, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 877...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Apollon Oikonomopoulos <apoi...@debian.org> (supplier of updated puppet package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 22 Feb 2018 23:45:43 +0200
Source: puppet
Binary: puppet puppet-master puppetmaster puppet-master-passenger 
puppetmaster-passenger puppet-common
Architecture: source all
Version: 5.4.0-1
Distribution: unstable
Urgency: medium
Maintainer: Puppet Package Maintainers 
<pkg-puppet-de...@lists.alioth.debian.org>
Changed-By: Apollon Oikonomopoulos <apoi...@debian.org>
Description:
 puppet     - configuration management system
 puppet-common - transitional dummy package
 puppet-master - configuration management system, master service
 puppet-master-passenger - configuration management system, scalable master 
service
 puppetmaster - configuration management system, master service - transitional 
pa
 puppetmaster-passenger - configuration management system, scalable master 
service - transi
Closes: 877066 889527 890268 890412 890440
Changes:
 puppet (5.4.0-1) unstable; urgency=medium
 .
   * New upstream release (closes: #889527, #890268); see
     https://docs.puppet.com/puppet/5.2/release_notes.html,
     https://docs.puppet.com/puppet/5.3/release_notes.html and
     https://docs.puppet.com/puppet/5.4/release_notes.html for more information
     + Refresh patches
     + Includes fixes for CVE-2017-10689 (closes: #890412) and CVE-2017-10690
       (closes: #890440)
   * Upload to unstable
   * Bump Standards-Version to 4.1.3; no changes needed
   * Bump dh compat level to 11
   * puppet: use update-rc.d defaults-disabled via dh_installinit
   * d/control: drop redundant Testsuite field
   * d/control: drop all Priority: extra references
   * d/control: drop obsolete dependencies on ruby-rgen and ruby-safe-yaml
   * d/watch: switch URL to https://
   * d/copyright: bump debian/ years
   * Regenerate the manpages on build (closes: #877066)
     + Build-Depend on yard and ruby-ronn
   * Remove Nigel from Uploaders. Thanks for your work!
   * autopkgtest: mark the sysvinit test as isolation-machine;
     isolation-container (at least with LXC) does not allow rebooting with a
     new init system.
Checksums-Sha1:
 0d9ea215a21acdd3643869cbfd9edaa7486f0e64 2737 puppet_5.4.0-1.dsc
 ee9be663d0c22173a9e7fb14c04c23dceb295613 2999198 puppet_5.4.0.orig.tar.gz
 fc995590270f97f0e9526a41dafe5d4a08095325 836 puppet_5.4.0.orig.tar.gz.asc
 c98e47d1d6da65965b32261a690925d99d019dd0 37088 puppet_5.4.0-1.debian.tar.xz
 5524fe143793c479cfcc626b25821c76a829984b 24404 puppet-common_5.4.0-1_all.deb
 82a1d2b364097a0969f38a583e20785d1ba6bcca 27980 
puppet-master-passenger_5.4.0-1_all.deb
 5e2c2312b6ec6b9bb5900a2d03d209ea790cc198 26932 puppet-master_5.4.0-1_all.deb
 2c1658d339e48a07fb85b58263a34adffd7923bd 1250292 puppet_5.4.0-1_all.deb
 b8937f3d9c40498ef0fc015ebd71850fbc718370 8803 puppet_5.4.0-1_amd64.buildinfo
 176f87c39428c2901015430d175e374893739785 23720 
puppetmaster-passenger_5.4.0-1_all.deb
 2fcc431f9634c29561fe9cea44a713ff7639e2c4 23872 puppetmaster_5.4.0-1_all.deb
Checksums-Sha256:
 e05e4c7e8c536465e2a5ecc3b23a7ecad67dbec080fe5ca3f0dcedab0143597d 2737 
puppet_5.4.0-1.dsc
 62c809a2138b3fc12f4f1dc59014e7ab00f54f4d0b972ace35db9423a881940b 2999198 
puppet_5.4.0.orig.tar.gz
 a238fe681fd0644bbfd9087044a2da2dbf5c2328299f1559950f8f0e95e0418e 836 
puppet_5.4.0.orig.tar.gz.asc
 f6ac2943afd496a7a6a1ec6f5e40d9b005f1f8da379f0b4efaf59a6ed1228eb7 37088 
puppet_5.4.0-1.debian.tar.xz
 d9488f64c5cdd99dd9a7ff36a3da4103a2ba999196fb6cc4195c93a6da3f4d1d 24404 
puppet-common_5.4.0-1_all.deb
 3c93c8403fc3b2e491f075606d8b9d8d3ecd9c11e71e7f48b03583cdd5d7bb50 27980 
puppet-master-passenger_5.4.0-1_all.deb
 ed34e83cde84b874a169ad5d1eac9569309f62803529deb736b014cae6dc9dd1 26932 
puppet-master_5.4.0-1_all.deb
 9802f39c5d5df6cb927b71e4f7b3ceae7eb24772ee608cfd437abb7df4907a74 1250292 
puppet_5.4.0-1_all.deb
 8b4687bd8d23e831a2518770bde61e5ab98529d381e3f6ff5c9bde412f0cdc48 8803 
puppet_5.4.0-1_amd64.buildinfo
 ede899f871b2c256c67c087a59aacac8ad59ed26803c5c5d05d5b42c7e7126a0 23720 
puppetmaster-passenger_5.4.0-1_all.deb
 48134dd9f99312763be11581aafa02e4d69fb1bcb3c00ed2bd28e22c4f9558cb 23872 
puppetmaster_5.4.0-1_all.deb
Files:
 df1b70a54b6c570a08afcc5e34164fcc 2737 admin optional puppet_5.4.0-1.dsc
 f62931f6fb61a902b879fbf28ea5a8c3 2999198 admin optional 
puppet_5.4.0.orig.tar.gz
 5372a5c07d7c9eb2c6d11a2bbb8bfd7c 836 admin optional 
puppet_5.4.0.orig.tar.gz.asc
 49a9681456c1a6097bf3e8418be7c92e 37088 admin optional 
puppet_5.4.0-1.debian.tar.xz
 3620c0a9b67db602d588e3438fcc53b0 24404 oldlibs optional 
puppet-common_5.4.0-1_all.deb
 3116fd8d4102e8ab529a41aaa6feb614 27980 admin optional 
puppet-master-passenger_5.4.0-1_all.deb
 353a7df7b0f24ab718ba13abb9222acb 26932 admin optional 
puppet-master_5.4.0-1_all.deb
 3b1d0ac7eaefb788194cf0e2ab110194 1250292 admin optional puppet_5.4.0-1_all.deb
 3ae43a7f736807c5f3d6fae09f800e63 8803 admin optional 
puppet_5.4.0-1_amd64.buildinfo
 4f75de3abd5bf0bb0fe205deb83c2b4c 23720 oldlibs optional 
puppetmaster-passenger_5.4.0-1_all.deb
 39bdd61a59eb4d5729e9f7e464bdafa2 23872 oldlibs optional 
puppetmaster_5.4.0-1_all.deb

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEPgL9ZlYpWVIRC6uZ9RsYxyAkgiQFAlqPYEYACgkQ9RsYxyAk
giTGlxAAkEnTxLlE+HipyzpueBfSDap7lCIALOOhNbfB7md9EcaMZprhyL8VEHtW
SRLHFz4VeVwUA6kvlx1XRNIQnecfq5B/K+WT0vuiPZ4m28W7kRHs0RmWSOYATR2x
M80RCLP8QxdnHwU0FL990a8Q4BsklEELHMb5kGhXTr6WUj2XPhCMRyzWTyqWuUpw
lp6nHn/yb+YuUPuFquYutWU2Aq7lu1Ado3WzbSIoHy5v4TZ+FKGM73MfQkdChyfi
bC7drXeGHMH7Kffz51KthrnzCNnds2v0jf4DmWERpNxI2+FcbanPRGKVhMVHQvnf
S/oziV8kd50sdDmJsijyje3jzeEEnadAHdCTnnbG0miedsCYDGZOPxmId3P/WgAq
GIhQWoUNm0ps7kKpyNP8uTRIBE+zU0UymjuJ7OJHANhZtqfvm0mbeVuK5S8UAJGG
jy0mUssATk5MCYpiFLvm9iU80jI/HzlZigKkqiVO40IT0BZnLzb2xaN0zFQ79mN8
SH6lkWDIGv4W39XcP6Ha3lQXDm2baIZVwmGkEAOTvbVcMKLamyVnuqp6FAUeZ/K4
Oz1k4uLuhlrFFOlGi61mMl+5hd7lSJax3JWPQ4Xh0eW2pL4d/tzWvZxQiGSbKQa1
MSzJTAOuYMHsfRYzUsVuwvNqx20T2LYGAvwCfWpWgs2jsgBNaWs=
=5MIy
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to